Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

external provisioner tests failing in alpha suites #81403

Open
msau42 opened this issue Aug 14, 2019 · 7 comments

Comments

@msau42
Copy link
Member

commented Aug 14, 2019

Which jobs are failing:
ci-kubernetes-e2e-gci-gce-alpha-enabled-default

Which test(s) are failing:
CSI hostpath-v0 tests

Since when has it been failing:
8/8

Testgrid link:
https://k8s-testgrid.appspot.com/sig-storage-kubernetes#gce-alpha-enabled-default

Reason for failure:
#80978

Anything else we need to know:
We need to update client-go to get the fix for selfLink, build new nfs provisioner images, and update them in the e2e test. The fix for client-go is being cherry-picked to 1.15 if you want to use a tagged release: #81355

@msau42

This comment has been minimized.

Copy link
Member Author

commented Aug 14, 2019

@jsafrane

This comment has been minimized.

Copy link
Member

commented Aug 14, 2019

/assign @wongma7

@jsafrane

This comment has been minimized.

Copy link
Member

commented Aug 14, 2019

This implies rebase to 1.15.x in external-storage, which seem to be challenging (at least to me :-) )

@msau42

This comment has been minimized.

Copy link
Member Author

commented Aug 14, 2019

1.14 cherry pick also in progress: #81407

@wongma7

This comment has been minimized.

Copy link
Contributor

commented Aug 14, 2019

OK, I guess this line in the lib is the culprit: https://github.com/kubernetes-sigs/sig-storage-lib-external-provisioner/blob/c525773885fccef89a1edd22bb3f813d50548ed1/controller/controller.go#L1214
So I need to update lib then external-storage to pull it in

@msau42

This comment has been minimized.

Copy link
Member Author

commented Aug 14, 2019

I don't think the lib itself needs to be updated. Only updating go-client to get the fix to GetReference is needed.

@wongma7

This comment has been minimized.

Copy link
Contributor

commented Aug 14, 2019

Right, lib doesn't dictate what version of client-go to use. Will wait for client-go release/commit

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
5 participants
You can’t perform that action at this time.